## groovy.lang
Class MetaArrayLengthProperty

Represents a property on a bean which may have a getter and/or a setter

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`MetaArrayLengthProperty()`

Method Summary
`Object` | `getProperty(Object object)`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Constructor Detail

### MetaArrayLengthProperty

    public MetaArrayLengthProperty()

Method Detail

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  param:
    object on which to set the property
  param:
    newValue the new value of the property
  throws:
    RuntimeException if the property could not be set